/***************************************************************************
 *   Copyright (C) 2006 by Jaap Boender   *
 *   Jaap.Boender@pps.jussieu.fr   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <kapplication.h>
#include <kconfig.h>
#include <kdebug.h>
#include "kroll_configuration.h"

KrollConfiguration::KrollConfiguration()
{
    read ();
}

void KrollConfiguration::read()
{
    KConfig *conf = kapp -> config();
    conf -> setGroup ("KrollGeneral");
    QString s = conf -> readEntry ("IndexMethod", "average");
    if (s == "one_source")
        m_index_method = OneSource;
    else
        m_index_method = Average;
    m_selected_item = conf -> readEntry ("SelectedItem", "");
    conf -> setGroup ("KrollSources");
    conf -> readListEntry ("Sources", m_sources);
}

void KrollConfiguration::write() const
{
    KConfig *conf = kapp -> config();
    conf -> setGroup ("KrollGeneral");
    conf -> writeEntry ("IndexMethod", m_index_method == OneSource ? "one_source" : "average");
    conf -> writeEntry ("SelectedItem", m_selected_item);
    conf -> setGroup ("KrollSources");
    conf -> writeEntry ("Sources", m_sources);
}

KrollConfiguration& Config()
{
    static KrollConfiguration conf;
    return conf;
}

KrollConfiguration::~KrollConfiguration()
{
}
