/***************************************************************************
 *   Copyright (C) 2006 by Jaap Boender   *
 *   Jaap.Boender@pps.jussieu.fr   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qpainter.h>
#include "kroll_iconviewitem.h"

KrollIconViewItem::KrollIconViewItem(QIconView *parent, KrollBundle *b): KIconViewItem (parent)
{
    m_selected = false;
    m_bundle = b;
    m_imagePath = QString ("kroll/pics/weather-%1.png");
    calcRect ();
}

/*!
    \fn KrollIconViewItem::paintItem (QPainter *, const QColorGroup &)
 */
void KrollIconViewItem::paintItem (QPainter *p, const QColorGroup &cg)
{
    QFont f = p -> font ();
    f.setBold (m_selected);
    p -> setFont (f);
    KIconViewItem::paintItem (p, cg);
}
